tpm_changeownerauth(8)

TPM Management - tpm_changeownerauth

NAME
tpm_changeownerauth - change the authorization data associated with the owner or SRK

SYNOPSIS
tpm_changeownerauth [OPTION]

DESCRIPTION

tpm_changeownerauth allows for changing the authorization data for the TPM owner or the TPM's Storage Root Key (via the TPM_ChangeAuthOwner API). This operation prompts for current password, followed by the new password and a confirmation of the new password. The --owner option changes the TPM owner password and --srk option changes the TPM's SRK password. The --well-known option is used when SRK or owner passwords need to be changed and current owner password is a secret of zeros, --set-well-known option changes current password to a secret of zeros, both options do not work by themselves, they must be used with --owner and --srk options to indicate which of these passwords will be changed.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-u, --unicode
    Use TSS UNICODE encoding for passwords to comply with applications using TSS popup boxes

-o, --owner
    Change the authorization data for the TPM owner.

-s, --srk
    Change the authorization data for the TPM's Storage Root Key.

-g, --original_password_unicode
    Use TSS UNICODE encoding for original password to comply with applications using TSS popup boxes

-n, --new_password_unicode
    Use TSS UNICODE encoding for new password to comply with applications using TSS popup boxes

-z, --well-known
    Change password to a new one when current owner password is a secret of all zeros (20 bytes of zeros). It must be specified which password (owner, SRK or both) to change

-r, --set-well-known
    Change password to a secret of all zeros (20 bytes of zeros). It must be specified which password (owner, SRK or both) to change

SEE ALSO

tpm_version(1), tpm_takeownership(8), tcsd(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>